Subject: Re: Equivalent of `svn switch` for git-svn?

From: Adam Roben <[email-masked]>
Date: Thu, 27 Sep 2007 09:39:27 -0700

Johannes Schindelin wrote:
> Hi,
>
> On Thu, 27 Sep 2007, Pierre Habouzit wrote:
>
>   
>> On Thu, Sep 27, 2007 at 06:41:10AM +0000, Adam Roben wrote:
>>     
>>> Hi all-
>>>   I've recently been informed that the Subversion server I and several 
>>> others have been tracking with git-svn will be switching from using the 
>>> svn+ssh scheme to the http scheme. To handle this, users of svn will be 
>>> running `svn switch` to move their working copies to the new repository 
>>> URL. Is there some way to do the same for git-svn? I suspect the biggest 
>>> complication will come from the git-svn-id: lines in the commit logs, 
>>> since changing that line would require changing the commit hash as well.
>>>       
>>   edit your .git/config, in the section [svn-remote "svn"], change url =
>>     
>
> Or use git-config:
>
> 	git config svn-remote.svn.url <url>
>
> Or make it a global alias:
>
> 	git config --global alias svn-switch 'config svn-remote.svn.url'
>
> so that you can say
>
> 	git svn-switch <url>
>   
Will doing this then change all the git-svn-id: lines in the commit logs 
for those imported revisions? I'm asking because my understanding is 
that git-svn uses those git-svn-id: lines to determine which branch 
you're on, and if the URLs are now all out of date won't it then think 
it can't determine the correct branch?

Thanks for the suggestions so far.

-Adam